/*

TurnBaby.java

Copyright (c) 2000 Amy High Craft, Ltd. 

Wabasoft grants you a non-exclusive license to use, modify and re-distribute
this program provided that this copyright notice and license appear on all
copies of the software.

Software is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR
IMPLIED REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
HEREBY EXCLUDED. THE ENTIRE RISK ARISING OUT OF USING THE SOFTWARE IS ASSUMED
BY THE LICENSEE. 

WABASOFT AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
LICENSEE OR ANY THIRD PARTY AS A RESULT OF USING OR DISTRIBUTING SOFTWARE.
IN NO EVENT WILL WABASOFT OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL
OR PUNITIVE DAMAGES, HOWEVER CAUSED AN REGARDLESS OF THE THEORY OF LIABILITY,
ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF WABASOFT HAS
BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 

*/

import waba.lang.*;
import waba.ui.*;
import waba.fx.*;



public class TurnBaby extends MainWindow
{
    Graphics drawg;
    
    Watch watch01 = new Watch();
    Watch2 watch02 = new Watch2();

    boolean onOffSwitch = true;

    public TurnBaby()
	{
	    // create drawing objects
	    drawg = new Graphics(this);
	
	    watch01.setDrawGraphics(drawg);
	    watch02.setDrawGraphics(drawg);
	
	    //watch01.setRect(0, 0, watch01.getWatchWidth(), watch01.getWatchHeight());
	    //watch02.setRect(0, watch01.getWatchHeight(), watch02.getWatchWidth(), watch02.getWatchHeight());
	    watch01.setRect(0,  0,160, 79);
	    watch02.setRect(0, 80,160, 79);
	    	    
	    add(watch01);
	    add(watch02);
	    
	    watch01.start();
	    watch02.start();
	}
		
    public synchronized void onEvent(Event mainEvent)
	{
	    if(mainEvent.type == PenEvent.PEN_DOWN)
        {
            onOffSwitch = !onOffSwitch;
            
            if(onOffSwitch)
            {
                watch01.stop();
	            watch02.stop();
	        }
	        else
	        {
	            watch01.start();
	            watch02.start();
	        }
	        //exit(0);
		}
	}
}


