/*

PocketWatch.java

Copyright (c) 1998, 1999 Wabasoft 

Wabasoft grants you a non-exclusive license to use, modify and re-distribute
this program provided that this copyright notice and license appear on all
copies of the software.

Software is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR
IMPLIED REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
HEREBY EXCLUDED. THE ENTIRE RISK ARISING OUT OF USING THE SOFTWARE IS ASSUMED
BY THE LICENSEE. 

WABASOFT AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY
LICENSEE OR ANY THIRD PARTY AS A RESULT OF USING OR DISTRIBUTING SOFTWARE.
IN NO EVENT WILL WABASOFT OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE,
PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL
OR PUNITIVE DAMAGES, HOWEVER CAUSED AN REGARDLESS OF THE THEORY OF LIABILITY,
ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF WABASOFT HAS
BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 

*/

import waba.ui.*;
import waba.fx.*;
import waba.sys.*;

/**
 * A program that draws an animated pocket watch.
 */

public class ColorImage extends MainWindow
{
Graphics drawg;
Image colorImage;
int imageX, imageY;

public ColorImage()
	{
	// create drawing objects
	drawg = new Graphics(this);

	// load watch image and create image buffer
	colorImage = new Image("Jeanne.bmp", true);
	//colorImage.useImagePalette(false);
	int imageWidth = colorImage.getWidth();
	int imageHeight = colorImage.getHeight();
	imageX = (this.width - imageWidth) / 2;
	imageY = (this.height - imageHeight) / 2;
	}

public void onEvent(Event event)
	{
	if (event.type == PenEvent.PEN_DOWN)
		exit(0);
	}

public void onPaint(Graphics g)
	{
	// draw background in white
	g.setColor(255, 255, 255);
	g.fillRect(0, 0, this.width, this.height);

	g.drawImage(colorImage, imageX, imageY);
	}
}
